<?

sapp_include_once('common.php');
?>

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('install_prefix') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?=msg('install_prefix')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="install_prefix" id="fid-install_prefix" value="<?=htmlspecialchars(sapp_get_install_prefix())?>">
		<span class="hint"><?=sapp_is_wrong('install_prefix') ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>

</table>

</fieldset>


<fieldset>
	<legend><?=msg('mail_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr>
	<td class="name">
			<div class="msgWarning"><img src="/skins/winxp.new.compact/icons/warning.gif" width="16" height="16"><div><?=msg('safe_mode_label')?>
	</td>
	<td> 
		<div class="msgWarning"><?=msg('safe_mode')?></div>
	</td>
</tr>


<tr <?=sapp_is_wrong('smtp_server') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-smtp_server"><?=msg('smtp_server')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="smtp_server" id="fid-smtp_server" value="<?=htmlspecialchars(sapp_get_param('smtp_server'))?>">
		<span class="hint"><?=sapp_is_wrong('smtp_server') ? sapp_get_wrong('smtp_server') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('smtp_auth') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-smtp_server"><?=msg('smtp_auth')?></label></td>
	<td>
		<input type="checkbox" name="smtp_auth" id="fid-smtp_auth" value="yes" <?=sapp_get_param('smtp_auth')=='yes'?'CHECKED':''?>>
		<span class="hint"><?=sapp_is_wrong('smtp_auth') ? sapp_get_wrong('smtp_auth') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('mail_domain') ? 'class="error"' : ''?>>
        <td class="name"><label for="fid-mail_domain"><?=msg('mail_domain')?> <?=sapp_get_param('mail_domain') ? '' : REQ?></label></td>
        <td>
                <input type="text" name="mail_domain" id="fid-mail_domain" value="<?=htmlspecialchars(sapp_get_domain_name())?>">
                <span class="hint"><?=sapp_is_wrong('mail_domain') ? sapp_get_wrong('mail_domain') : ''?></span>
        </td>
</tr>

<tr <?=sapp_is_wrong('mail_domain_server') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-mail_domain_server"><?=msg('mail_domain_server')?> <?=htmlspecialchars(sapp_get_domain_name()) ? '' : REQ?></label></td>
	<td>
		<input type="text" name="mail_domain_server" id="fid-mail_domain_server" value="<?=htmlspecialchars(sapp_get_domain_name())?>">
		<span class="hint"><?=sapp_is_wrong('mail_domain_server') ? sapp_get_wrong('mail_domain_server') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('mail_login') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-mail_login"><?=msg('mail_login')?> <?=sapp_get_param('mail_login') ? '' : REQ?></label></td>
	<td>
		<SELECT name="mail_login" id="fid-mail_login">
			<? $mail_login = sapp_get_param('mail_login') ?>
				<option value="%user%" <?= ($mail_login == '%user%') ? ' SELECTED' : '' ?>>%user%</option>
				<option value="%user%@%domain%" <?= ($mail_login == '%user%@%domain%') ? ' SELECTED' : '' ?>>%user%@%domain%</option>
		</SELECT>
		<span class="hint"><?=sapp_is_wrong('mail_login') ? sapp_get_wrong('mail_login') : ''?></span>
	</td>
</tr>


</table>

</fieldset>